%   * dpp_test_2class.m
%   * Copyright (C) Manuel Fernandez Delgado 2011 <manuel.fernandez.delgado@usc.es>
%   *
%   *     This program is free software: you can redistribute it and/or modify
%   *     it under the terms of the GNU General Public License as published by
%   *     the Free Software Foundation, either version 3 of the License, or
%   *     (at your option) any later version.
%   *
%   *     This program is distributed in the hope that it will be useful,
%   *     but WITHOUT ANY WARRANTY; without even the implied warranty of
%   *     MERCHANPOILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   *     GNU General Public License for more details.
%   *
%   *     You should have received a copy of the GNU General Public License
%   *     along with this program.  If not, see <http://www.gnu.org/licenses/>.
%   *
function y = dpp_test_2class(w, ps, x)
% DPP_TEST_2CLASS tests a two-class DPP network with weights w and mean/stdev ps on a test pattern x
%  Description
%  w - (n x ni) weight matrix, n is the number of parallel perceptrons, ni is the number of inputs of the patterns
%  ps - the mean/stdev of the training patterns used to pre-process the test pattern x
%  x - (1 x n) row vector with the test pattern
n = size(w,1);
x = mapstd('apply', x', ps)'; 
x = [x 1]; 
y = 0;
for i = 1:n
    y = y + sign(dot(w(i,:),x));
end
y = sign(y);
end % end of funtion