%   * main.m
%   * Copyright (C) Manuel Fernandez Delgado 2011 <manuel.fernandez.delgado@usc.es>
%   *
%   *     This program is free software: you can redistribute it and/or modify
%   *     it under the terms of the GNU General Public License as published by
%   *     the Free Software Foundation, either version 3 of the License, or
%   *     (at your option) any later version.
%   *
%   *     This program is distributed in the hope that it will be useful,
%   *     but WITHOUT ANY WARRANTY; without even the implied warranty of
%   *     MERCHANPOILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   *     GNU General Public License for more details.
%   *
%   *     You should have received a copy of the GNU General Public License
%   *     along with this program.  If not, see <http://www.gnu.org/licenses/>.
%   *
% program which reads data and calls to train and test functions
clear all
x = load('example.dat');
ni = size(x,2) - 1;
d = x(:,ni+1);
x(:,ni+1)=[];
[w ps] = dpp_train_multiclass(x,d,3,10);  % 3 parallel perceptrons, 10 random initializations
N = size(x,1);
acc=0;
for i=1:N
    y = dpp_test_multiclass(w, ps, x(i,:), 3); % 3 classes
    fprintf('y= %i d= %i\n', y, d(i));
    if y == d(i)
        acc = acc + 1;
    end
end
acc = 100*acc/N;
fprintf('test: acc= %.1f%%\n', acc);